> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dropcv.work/llms.txt
> Use this file to discover all available pages before exploring further.

# candidate_delete

> 按 candidate_id 永久删除候选人档案。

`candidate_delete` 把一个候选人从人才库**永久删除**，连带其向量 embedding 等关联记录一并级联删除。

<Warning>
  破坏性操作，删除后**不可恢复**。调用前请确认 `candidate_id` 无误。
</Warning>

## 参数

| 字段             | 类型   | 必填 | 说明         |
| -------------- | ---- | -- | ---------- |
| `candidate_id` | uuid | 是  | 要删除的候选人 ID |

## 返回

```json theme={null}
{
  "candidate_id": "uuid",
  "deleted": true
}
```

候选人不存在（或不属于当前 API Key 所属用户）时返回 `CANDIDATE_NOT_FOUND (404)`。

## 示例

```bash theme={null}
curl -X POST https://api.dropcv.work/api/external/v1/skills/candidate_delete/invoke \
  -H "Authorization: Bearer $DROPCV_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "params": {
      "candidate_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
    }
  }'
```

## 权限

需要 **write** 权限。

## 审计

每次删除都会写入审计，可在 [设置 → 用量](https://app.dropcv.work/dashboard/settings/usage) 按 `invocation_id` 查询调用方和时间。
